none
Windows CE5.0 about RFID reader RRS feed

  • Question

  • I am doing on my school project. i have to write an apllication for AT870 reader which runs windows CE5.0 or CE6.0. but i am very confused about this system and have no idea which year's Visual studio i should use. and how can i write a programm for this? I have learnt C#, so can I just use C#?
    Wednesday, April 8, 2015 2:29 AM

All replies

  • You haven't really told us enough.  Specifically, what is it that you are doing - what software do you need to write?

    If you are writing an application only, then C# might be suitable.

    If you are writing a driver, then C/C++

    Do you need to build the OS? 

    Which OS version do you plan to use?


    Bruce Eitman (eMVP) Senior Engineer Bruce.Eitman AT Eurotech DOT com My BLOG http://geekswithblogs.net/bruceeitman Eurotech Inc. www.Eurotech.com

    Wednesday, April 8, 2015 12:45 PM
    Moderator
  • thanks for your reply.

    i am writing an application only.

    the reader itself runs the windows CE5.0 .

    so i want to know which kind of visual studio(VS2005 or VS2008 OR VS2010), I can write an apllication for this windows CE5.0.

    AND is C# enough for me to complete this application?       or  i need something else to do it ?  because my friend says i may need to use .net? 

    Friday, April 10, 2015 2:47 AM
  • Hi Znaruto,


    If I am not wrong, you are using the wince 5.0 product and you are planning to write application on it using C#. 

    for Wince 5.0 you need Visual studio 2005 and .net compact 2.0- http://www.e-consystems.com/blog/windowsce/?p=503

    first confirm the .netcf 2.0 included in OS, if not you need to install it using cab.

    try to contact product OEM, they will be in better position to help you.


    rakesh

    Friday, April 10, 2015 5:49 AM
  • Hi Znaruto,

    For Windows CE 5.0 you can use either Embedded Visual C++ 4.0 (EVC++4.0) or VS2005 or VS2008.

    Before starting, you will need to install the SDK for the AT870, this can be obtained from the device manufacturer.

    A quick google search led me to this website: http://atrf.co.kr/h_board/list.php?bbs_id=303

    It looks like they have a few different versions of SDK on there as well as some example code in C++ and C#.

    It also looks like they have some reference manuals there.

    C# uses .NET libraries, so normally when someone says you need to use .NET, it means you can program in the C# language. 

    Monday, April 13, 2015 2:46 AM
  • If you are only writing C# code, you do no need the SDK for the board, but you will need the .NET Compact Framework SDK (http://www.microsoft.com/en-us/download/details.aspx?id=19988).

    Bruce Eitman (eMVP) Senior Engineer Bruce.Eitman AT Eurotech DOT com My BLOG http://geekswithblogs.net/bruceeitman Eurotech Inc. www.Eurotech.com

    Monday, April 13, 2015 12:49 PM
    Moderator